Bug 413381 - libbeagle - Beagle C interface
libbeagle - Beagle C interface
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-05 22:59 EST by Matthias Clasen
Modified: 2007-12-13 08:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-13 08:42:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-12-05 22:59:47 EST
Upstream has split this off the main beagle tarball now. We had subpackages
before, but with separate tarballs it makes more sense to make this a separate

Spec: http://people.redhat.com/mclasen/libbeagle.spec
SRPM: http://people.redhat.com/mclasen/libbeagle-0.3.0-1.fc9.src.rpm
Comment 1 Adam Jackson 2007-12-06 10:20:26 EST
Should probably do

%setup -q -b1

instead of the explicit tar.

Fails to build in mock for me:

rm: cannot remove
No such file or directory
rm: cannot remove
No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.87727 (%install)

Although it builds fine outside of mock.  Probably safe to just make those 'rm -f'.

Looks good otherwise, approved.
Comment 2 Matthias Clasen 2007-12-06 10:39:31 EST
thanks, I'll make those changes. 

Sorry about it not building in mock; my mock was broken by rawhide yesterday, so
I couldn't test it.
Comment 3 Kevin Fenzi 2007-12-06 16:06:01 EST
Can you add a cvs template here so we know what branches/owners, etc you would

See: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Reset the fedora-cvs flag when you are ready. 
Comment 4 Matthias Clasen 2007-12-06 20:26:16 EST
Sorry, forgot

New Package CVS Request
Package Name: libbeagle
Short Description: Beagle C interface
Owners: mclasen@redhat.com
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-07 12:08:20 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.